## schleuder 3.4.1

=== debian/changelog ===
schleuder (3.4.1-4) unstable; urgency=medium

  * debian/*:
    - Run wrap-and-sort -abt.
  * debian/patches:
    - Relax dependency on sqlite3 in gemspec. This fixes a regression
      introduced in the previous release, 3.4.1-3. (Closes: #951225)
    - Refresh existing patches, accordingly.

 -- Georg Faerber <georg@debian.org>  Thu, 13 Feb 2020 22:59:08 +0000

schleuder (3.4.1-3) unstable; urgency=medium

  * debian/control:
    - Bump Standards-Version to 4.5.0, no changes required.
  * debian/patches:
    - Add patch to bump SQLite dependency in gemspec. (Closes: #949824)
    - Refresh patch to update sinatra to remove fuzz.

 -- Georg Faerber <georg@debian.org>  Mon, 03 Feb 2020 11:07:21 +0000

schleuder (3.4.1-2) unstable; urgency=medium

  * debian/control:
    - Bump Standards-Version to 4.4.1, no changes required.
  * debian/copyright:
    - Bump years to include 2020.
  * debian/patches:
    - Pull in upstream patch to add missing List-Id header to notification
      mails sent to admins. (Closes: #948980)
    - Pull in upstream patch to handle decryption problems gracefully: Handle
      incoming mails encrypted to an absent key, using symmetric encryption or
      containing PGP-garbage in a more graceful manner: Don't throw an
      exception, don't notify (and annoy) the admins, instead inform the
      sender of the mail how to do better. (Closes: #948981)
    - Pull in upstream patch to default to ASCII-8BIT encoding. This should
      ensure Schleuder is able to handle mails with different charsets.
      (Closes: #948982)

 -- Georg Faerber <georg@debian.org>  Wed, 15 Jan 2020 16:38:14 +0000

schleuder (3.4.1-1) unstable; urgency=medium

  * New upstream version 3.4.1:
    - Fixes recognizing keywords in mails with protected headers and empty
      subject. (Closes: #940524)
    - Drops third-party signatures on keys before importing to prevent
      signature flooding. (Closes: #940526)
    - Reports an error if the argument provided to 'refresh_keys' is not an
      email address for which a list exists. (Closes: #940527)
  * debian/patches:
    - Drop patch to fix mails produced by Mutt with protected headers,
      released upstream.

 -- Georg Faerber <georg@debian.org>  Mon, 16 Sep 2019 21:09:53 +0000

schleuder (3.4.0-4) unstable; urgency=medium

  * debian/salsa-ci.yml:
    - Move CI config according to team policy.
    - Disable reprotest job, as it leads to false positives.
  * debian/tests/upstream-tests:
    - Drop relying on /dev/urandom if running the test suite in a container.
      This was introduced two years ago, to deal with limited entropy, which
      would lead to the test suite timing out, if invoked on Debian's
      autopkgtest infrastructure running on ci.debian.net.
      As noted by Gianfranco Costamagna in #939630, the specifics of this
      workaround lead to problems on armhf during tests run by Ubuntu's
      autopkgtest infrastructure.
      This change is experimental, some real world tests need to be done to
      check if the underlying problem still exist. In case, a more portable
      approach needs to be found.

 -- Georg Faerber <georg@debian.org>  Sat, 07 Sep 2019 11:39:23 +0000

schleuder (3.4.0-3) unstable; urgency=medium

  * debian/control:
    - Bump debhelper compat level to 12.
    - Bump Standards-Version to 4.4.0, no changes required.
    - Add missing Pre-Depends field to make lintian happy.
    - Use my debian.org email address.
  * debian/schleuder.schleuder-api-daemon.init:
    - Fix file name; previously, dh_installinit would fail.
  * debian/.gitlab-ci.yml:
    - Import breaking upstream changes, made by the Salsa CI team, to fix
      errors.

 -- Georg Faerber <georg@debian.org>  Wed, 24 Jul 2019 00:42:26 +0000
