=== debian/control ===
Source: schleuder
Section: mail
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Georg Faerber <georg@debian.org>,
Build-Depends: debhelper-compat (= 12),
               dirmngr,
               gem2deb,
               procps,
               rake (>= 10.5.0~),
               ruby-activerecord (>= 5.2~),
               ruby-database-cleaner (>= 1.7.0~),
               ruby-factory-bot,
               ruby-gpgme (>= 2.0.13~),
               ruby-mail (>= 2.7.1~),
               ruby-mail-gpg (>= 0.3.3~),
               ruby-rack-test,
               ruby-rspec (>= 3.5.0~),
               ruby-sinatra (>= 2~),
               ruby-sinatra-contrib (>= 2~),
               ruby-sqlite3,
               ruby-thor,
               thin,
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/ruby-team/schleuder.git
Vcs-Browser: https://salsa.debian.org/ruby-team/schleuder
Homepage: https://schleuder.org/
XS-Ruby-Versions: all
Rules-Requires-Root: no

Package: schleuder
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: adduser,
         cron | cron-daemon,
         default-mta | postfix | mail-transport-agent,
         dirmngr,
         lsb-base,
         rake (>= 10.5.0~),
         ruby | ruby-interpreter,
         ruby-activerecord (>= 5.2~),
         ruby-gpgme (>= 2.0.13~),
         ruby-mail (>= 2.7.1~),
         ruby-mail-gpg (>= 0.3.3~),
         ruby-sinatra (>= 2~),
         ruby-sinatra-contrib (>= 2~),
         ruby-sqlite3,
         ruby-thor,
         thin,
         ${misc:Depends},
         ${shlibs:Depends},
Pre-Depends: ${misc:Pre-Depends},
Recommends: haveged,
            schleuder-cli,
Description: GPG-enabled mailing list manager with resending-capabilities
 Schleuder is a GPG-enabled mailing list manager with resending-capabilities.
 Subscribers can communicate encrypted (and pseudonymously) among themselves,
 receive emails from non-subscribers and send emails to non-subscribers via the
 list.
 .
 Version 3 of schleuder is a complete rewrite, which aims to be more robust,
 flexible, and internationalized. It also provides an API to be used with
 schleuder-cli and/or schleuder-web.
