## schleuder 3.5.2

=== debian/changelog ===
schleuder (3.5.2-1) unstable; urgency=medium

  * New upstream version 3.5.2:
    - Ships fix to let x-add-key handle a mix of inline key and non-key
      material, like a signature included in the body. (Closes: #961017)
  * debian/tests/schleuder-api-daemon-reachable:
    - Let test pass if the connection to either 127.0.0.1 or to ::1 works and
      returns the expected result. During some runs, Schleuder would only bind
      to the later. Up until now, the test only checked the former. See commit
      782a6f1c198b0fd1746ecff72860071ed80adc57 for more details.

 -- Georg Faerber <georg@debian.org>  Tue, 09 Jun 2020 23:09:41 +0000

schleuder (3.5.1-1) unstable; urgency=medium

  * New upstream version 3.5.1:
    - Ships fix for x-add-key to recognize mails with attached,
      quoted-printable encoded keys. Such mails might be produced by
      Thunderbird. (Closes: #956827)
  * debian/patches:
    - Drop obsolete patch to fix flaky migration spec, merged upstream.
    - Refresh for new release.

 -- Georg Faerber <georg@debian.org>  Wed, 15 Apr 2020 18:25:25 +0000

schleuder (3.5.0-3) unstable; urgency=medium

  * debian/control:
    - Update description according to upstream.
    - Make dependency on ruby-mail-gpg more strict: the most recent upstream
      version 0.4.3 ships breaking changes.

 -- Georg Faerber <georg@debian.org>  Thu, 09 Apr 2020 19:19:47 +0000

schleuder (3.5.0-2) unstable; urgency=medium

  * debian/patches:
    - Fix patch to relax dependency on bigdecimal in the gemspec. This change
      fixes a regression introduced via the previous upload, 3.5.0-1, which
      blocked the migration to testing, as the version provided there is still
      1.3.4. Initially, the patch allowed all versions >= 1.4.

 -- Georg Faerber <georg@debian.org>  Thu, 02 Apr 2020 15:01:34 +0000

schleuder (3.5.0-1) unstable; urgency=medium

  * New upstream version 3.5.0.
  * debian/control:
    (Build-)Depend on ruby-charlock-holmes.
  * debian/patches:
    - Drop obsolete patches to add List-Id header to admin notifications, to
      handle decryption problems and to default to ASCII-8BIT encoding, merged
      upstream.
    - Refresh remaining patches for new release.
    - Add patch to relax dependency on bigdecimal in gemspec.
    - Add patch to fix flaky migration spec.

 -- Georg Faerber <georg@debian.org>  Tue, 31 Mar 2020 23:50:14 +0000
