=== debian/control ===
--- 
+++ 
@@ -9,11 +9,13 @@
                procps,
                rake (>= 10.5.0~),
                ruby-activerecord (>= 5.2~),
+               ruby-charlock-holmes,
                ruby-database-cleaner (>= 1.7.0~),
                ruby-factory-bot,
                ruby-gpgme (>= 2.0.13~),
                ruby-mail (>= 2.7.1~),
                ruby-mail-gpg (>= 0.3.3~),
+               ruby-mail-gpg (<< 0.4.3~),
                ruby-rack-test,
                ruby-rspec (>= 3.5.0~),
                ruby-sinatra (>= 2~),
@@ -39,9 +41,11 @@
          rake (>= 10.5.0~),
          ruby | ruby-interpreter,
          ruby-activerecord (>= 5.2~),
+         ruby-charlock-holmes,
          ruby-gpgme (>= 2.0.13~),
          ruby-mail (>= 2.7.1~),
          ruby-mail-gpg (>= 0.3.3~),
+         ruby-mail-gpg (<< 0.4.3~),
          ruby-sinatra (>= 2~),
          ruby-sinatra-contrib (>= 2~),
          ruby-sqlite3,
@@ -52,12 +56,12 @@
 Pre-Depends: ${misc:Pre-Depends},
 Recommends: haveged,
             schleuder-cli,
-Description: GPG-enabled mailing list manager with resending-capabilities
- Schleuder is a GPG-enabled mailing list manager with resending-capabilities.
+Description: encrypting mailing list manager with remailing-capabilities
+ Schleuder is an encrypting mailing list manager with remailing-capabilities.
  Subscribers can communicate encrypted (and pseudonymously) among themselves,
  receive emails from non-subscribers and send emails to non-subscribers via the
  list.
  .
- Version 3 of schleuder is a complete rewrite, which aims to be more robust,
- flexible, and internationalized. It also provides an API to be used with
- schleuder-cli and/or schleuder-web.
+ Version 3 is a complete rewrite, which aims to be more robust, flexible, and
+ internationalized. It also provides an API to be used with schleuder-cli
+ and/or schleuder-web.
