## schleuder 3.5.3

=== debian/changelog ===
schleuder (3.5.3-3) unstable; urgency=medium

  * debian/patches:
    - Add patch to relax thor version in gemspec. (Closes: #980578)
    - Add patch to pull in changes made upstream to fix email address regex.
    - Refresh remaining patches.

 -- Georg Faerber <georg@debian.org>  Tue, 02 Feb 2021 12:41:30 +0000

schleuder (3.5.3-2) unstable; urgency=low

  * Team upload.
  * debian/.gitattributes:
    - Add to keep unwanted files out of the source package.
  * debian/.gitlab-ci.yml:
    - Drop, obsolete.
  * debian/changelog:
    - Trim trailing whitespace.
  * debian/control:
    - Bump debhelper compat level to 13.
    - Bump Standards-Version to 4.5.1, no changes required.
    - Do not recommend haveged anymore. For details and discussion, see the
      related bug report. (Closes: #960066)
    - Drop obsolete version constraints of dependencies.
    - Update team name.
  * debian/patches:
    - Adjust activerecord patch to version 6, and drop obsolete migration
      specs. (Closes: #964143)
    - Reintroduce patch to disallow the use of Tor and to enforce the use of
      the so-called "standard resolver", if running the specs and executing
      dirmngr. This was dropped in version 3.5.3-1, however, it seems, it is
      still required.
    - Refresh remaining patches.

 -- Georg Faerber <georg@debian.org>  Sun, 27 Dec 2020 19:15:38 +0000

schleuder (3.5.3-1) unstable; urgency=medium

  * New upstream version:
    - Ships fix to allow specs to run on IPv6-only machines. (Closes: #962585)
  * debian/patches:
    - Drop patch to disallow the use of Tor and to enforce the use of the
      so-called "standard resolver", if running the specs and executing
      dirmngr. This was required in the past to make dirmngr work reliably. It
      seems this is obsolete by now, however, real-world exposure on the
      Debian buildd and CI infrastructure might prove different.
    - Refresh for new release.

 -- Georg Faerber <georg@debian.org>  Sat, 13 Jun 2020 14:18:05 +0000

schleuder (3.5.2-2) unstable; urgency=medium

  * debian/tests/schleuder-api-daemon-reachable:
    - Let curl timeout after five seconds.
    - Add missing square brackets to ::1 address.
    - Fix exit code handling.

 -- Georg Faerber <georg@debian.org>  Wed, 10 Jun 2020 11:16:37 +0000
