## schleuder 3.6.0

=== debian/changelog ===
schleuder (3.6.0-4) unstable; urgency=medium

  * debian/control: Drop depending on ruby-interpreter, according to team
    standards.
  * debian/patches: Pull in upstream patch to migrate boolean values to
    integers, if the ActiveRecord SQLite3 connection adapter is in use.
    Since ActiveRecord >= 6.0, the relevant code relies on boolean
    serialization to use 1 and 0, but does not natively recognize 't' and 'f'
    as booleans were previously serialized. (Closes: #1002622)
  * debian/ruby-tests.rake: Skip tests if running Ruby 3.0 as some tests are
    currently not compatible. This will be reverted soon, once Schleuder 4 is
    to be uploaded.
  * debian/upstream/metadata: Provide file pointing to upstream resources.

 -- Georg Faerber <georg@debian.org>  Sat, 25 Dec 2021 20:19:26 +0000

schleuder (3.6.0-3) unstable; urgency=medium

  * debian/patches:
    - Pull in upstream patch to fix verifying encapsulated messages:
      monkeypatch ruby-mail-gpg to restore the use of the unaltered raw source
      of the relevant email part.
      This code was removed in a recent release of ruby-mail-gpg for yet
      unknown reasons, and uploaded to Debian via 0.4.4-1.

 -- Georg Faerber <georg@debian.org>  Thu, 29 Jul 2021 20:36:52 +0000

schleuder (3.6.0-2) unstable; urgency=medium

  * debian/control:
    - Drop obsolete version constraint of ruby-mail-gpg.
  * debian/patches:
    - Pull in upstream patch to handle GPGME::Error::Canceled.
    - Pull in upstream patch to fix preconditions of specs: Some expectations
      only worked as long as the content-transfer-encoding was not Base64.
      Some only worked if it was Quoted-Printable. Now they don't depend on
      the CTE anymore.
    - Pull in upstream patch to relax version of mail-gpg.
    - Refresh remaining patches to handle fuzz, introduced by these new
      patches.

 -- Georg Faerber <georg@debian.org>  Sun, 23 May 2021 17:32:19 +0000

schleuder (3.6.0-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * improve hack to block passphrase interaction (Closes: #982627)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 12 Feb 2021 11:55:30 -0500

schleuder (3.6.0-1) unstable; urgency=medium

  * New upstream version.
  * debian/patches:
    - Drop patch to fix email address regex, merged upstream.
    - Refresh remaining patches.

 -- Georg Faerber <georg@debian.org>  Sun, 07 Feb 2021 18:14:33 +0000
