## schleuder 4.0.3

=== debian/changelog ===
schleuder (4.0.3-7+deb12u1) bookworm; urgency=medium

  * debian/patches:
    - x-subscribe: fix parsing of arguments. Optional flags provided at the
      end are only taken into account if there is a valid fingerprint, and
      they are checked to be "true", or "false". Before, due to insufficient
      validation, an email address might have been erroneously subscribed with
      'admin' permissions. (Closes: #1068330)
    - x-add-key: fix importing keys from attachments as Thunderbird sends
      them. Before, such attachments were ignored. This regression was
      introduced in 4.0.0. (Closes: #1068331)
    - x-add-key: fix handling of emails without further content or
      attachments. A proper error message is returned. Before, a traceback was
      thrown. (Closes: #1068332)
    - Stop looking for keywords if email starts with other content. This
      allows to send usage instructions including keywords within an email to
      a Schleuder list. Before, these keywords would have been stripped, which
      limited the value of such an email. This change matches documentation,
      which tells that keywords require that they are written in the beginning
      of an email body. (Closes: #1068333)
    - receive_from_subscribed_emailaddresses_only(): check downcased email
      address. This follows and mirrors changes made in both schleuder-cli and
      schleuder-web, which nowadays enforce lowercase if adding subscriptions.
      Before, incoming emails might have been erroneously rejected, if an
      uppercase email address was used in the From: header. (Closes: #1068334)
    - Consider From: when finding reply address. Look for a subscription that
      matches the sending email address, in case of multiple subscriptions
      which rely on the same key. As a fallback, the first subscription found
      is used. Before, people might have received a reply to a different email
      address. (Closes: #1068335)

 -- Georg Faerber <georg@debian.org>  Thu, 04 Apr 2024 18:15:10 +0000

schleuder (4.0.3-7) unstable; urgency=medium

  * Team upload

  [ Hendrik Jäger ]
  * fix: postinst script fails running 'schleuder install' when ruby-activerecord 5.2 is still installed

  [ Antonio Terceiro ]
  * Add patch to accept sinatra 3 (Closes: #1026948)

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 26 Dec 2022 15:49:28 -0300

schleuder (4.0.3-6) unstable; urgency=medium

  * debian/control:
    - Bump Standards-Version to 4.6.1, no changes required.
    - Drop obsolete field XB-Ruby-Versions.
  * debian/patches:
    - Add patch to ensure correct Ruby-version is used, if calling daemons in
      specs. (Closes: #1019682)
  * debian/ruby-tests.rake:
    - Use correct Ruby-version if calling rake. (Closes: #1019682)

 -- Georg Faerber <georg@debian.org>  Mon, 31 Oct 2022 17:04:23 +0000

schleuder (4.0.3-5) unstable; urgency=medium

  * debian/patches:
    - Add patch to run testsuite with UTC as the timezone.
    - Add patch to enable full backtraces if specs are failing.

 -- Georg Faerber <georg@debian.org>  Thu, 27 Oct 2022 10:47:52 +0000

schleuder (4.0.3-4) unstable; urgency=medium

  * debian/patches:
    - Add patch to respect existing 'LOCAL_IP_ADDR' environment variable.
    - Add patch to relax expected error message in specs, if refreshing keys
      from a keyserver fails.
  * debian/ruby-tests.rake:
    - Set 'LOCAL_IP_ADDR' environment variable to 'localhost'.

 -- Georg Faerber <georg@debian.org>  Sat, 16 Apr 2022 21:48:30 +0000

schleuder (4.0.3-3) unstable; urgency=medium

  * debian/patches:
    - Drop patch, introduced in 4.0.3-2, to relax expected GPG key dates.
    - Instead, add patch to enforce a specific timezone and locale. This
      approach is preferred, as it makes dealing with the testsuite easier for
      humans, but requires real-world exposure during reproducible builds to
      check if this works as expected.

 -- Georg Faerber <georg@debian.org>  Wed, 13 Apr 2022 13:29:30 +0000

schleuder (4.0.3-2) unstable; urgency=medium

  * debian/patches:
    - Add patch to relax the expected creation and expiration dates of GPG
      keys. Specs which rely on hardcoded dates will fail during reproducible
      builds, as such builds rely on timezone-variations, and these dates are,
      in fact, timezone-sensitive.

 -- Georg Faerber <georg@debian.org>  Wed, 13 Apr 2022 10:19:36 +0000

schleuder (4.0.3-1) unstable; urgency=medium

  * New upstream version.
  * debian/patches:
    - Drop obsolete patches integrated upstream.
    - Refresh remaining patches.
    - Add patch to ensure IPv4 or IPv6 address for the SKS mock server to bind
      to if called in specs.
  * debian/ruby-tests.rake:
    - Set environment variable to drop usage of 'byebug' in specs.

 -- Georg Faerber <georg@debian.org>  Tue, 12 Apr 2022 23:14:25 +0000

schleuder (4.0.2-1) unstable; urgency=medium

  * New upstream version. (Closes: #991662, #998484)
  * debian/control:
    - (Build-)Depend on ruby-bcrypt.
    - Update description in regards to version 4.
    - Bump Standards-Version to 4.6.0, no changes required.
  * debian/patches:
    - Add patch to drop usage of 'byebug' in specs.
    - Drop obsolete patches integrated upstream.
    - Refresh remaining patches.
  * debian/ruby-tests.rake:
    - Enable tests against Ruby 3.0, again.
  * debian/schleuder.postinst:
    - Improve handling of initial database setup and migrations, and TLS
      certificate and key required to serve the API.
    - Create directories to store user-provided code.
  * debian/schleuder.postrm:
    - Remove directories to store user-provided code, if empty.

 -- Georg Faerber <georg@debian.org>  Wed, 06 Apr 2022 16:58:51 +0000
