=== debian/control ===
--- 
+++ 
@@ -8,7 +8,8 @@
                gem2deb,
                procps,
                rake,
-               ruby-activerecord,
+               ruby-activerecord (>= 6.0~),
+               ruby-bcrypt,
                ruby-charlock-holmes,
                ruby-database-cleaner,
                ruby-factory-bot,
@@ -22,7 +23,7 @@
                ruby-sqlite3,
                ruby-thor,
                thin,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/ruby-team/schleuder.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/schleuder
 Homepage: https://schleuder.org/
@@ -31,7 +32,6 @@
 
 Package: schleuder
 Architecture: all
-XB-Ruby-Versions: ${ruby:Versions}
 Depends: adduser,
          cron | cron-daemon,
          default-mta | postfix | mail-transport-agent,
@@ -40,6 +40,7 @@
          rake,
          ruby,
          ruby-activerecord,
+         ruby-bcrypt,
          ruby-charlock-holmes,
          ruby-gpgme,
          ruby-mail,
@@ -59,6 +60,5 @@
  receive emails from non-subscribers and send emails to non-subscribers via the
  list.
  .
- Version 3 is a complete rewrite, which aims to be more robust, flexible, and
- internationalized. It also provides an API to be used with schleuder-cli
- and/or schleuder-web.
+ Schleuder aims to be robust, flexible, and internationalized. It also provides
+ an API to be used with schleuder-cli and/or schleuder-web.
