## schleuder 5.0.0

=== debian/changelog ===
schleuder (5.0.0-8) unstable; urgency=medium

  * Team upload.
  * Depend on thin >= 1.8.2+ to make sure schleuder does no break
  * Don't run flaky tests

 -- Ananthu C V <weepingclown@debian.org>  Sun, 04 May 2025 23:14:28 +0530

schleuder (5.0.0-7) unstable; urgency=medium

  * debian/patches:
    - Adapt patch to fix spec expectation, once more. 

 -- Georg Faerber <georg@debian.org>  Wed, 05 Mar 2025 19:38:22 +0000

schleuder (5.0.0-6) unstable; urgency=medium

  * debian/patches:
    - Adapt patch, introduced in 5.0.0-5 to fix spec expectation, to make it
      less strict. While the original patch worked as expected in some
      environments, it failed in others, for unknown reasons.
      Lets see if the new approach indeed helps and fixes #1099286, for real.

 -- Georg Faerber <georg@debian.org>  Wed, 05 Mar 2025 10:31:39 +0000

schleuder (5.0.0-5) unstable; urgency=medium

  * debian/patches:
    - Adapt ActiveRecord 6 patch to handle 7 as well. (Closes: #1095827)
    - Add patch to fix spec expectation. (Closes: #1099286)

 -- Georg Faerber <georg@debian.org>  Tue, 04 Mar 2025 19:29:14 +0000

schleuder (5.0.0-4) unstable; urgency=medium

  * Team upload.
  * d/p/0012-Relax-version-constraint-on-sqlite3-gem.patch: allow usage of
    ruby-sqlite > 1.6.

 -- Lucas Kanashiro <kanashiro@debian.org>  Wed, 19 Feb 2025 16:44:09 -0300

schleuder (5.0.0-3) unstable; urgency=medium

  * Team upload
  * 0030-gemspec-relax-sinatra.patch: relax the sinatra requirement even more
  * debian/patches/relax-net-smtp.patch: refresh patch
  * debian/rules: check rubygems dependencies during build
  * pass-Content-Type-explicitly.patch: fix tests with rack 3/sinatra 4
  * debian-ruby-tests.rake: make database creation commands explicit
  * debian/rules: ignore test failure on ruby3.1
  * debian/tests/schleuder-api-daemon-reachable: make curl call verbose and
    failure-sentive
  * Add patch to add the dependencies needed for rack 3
  * debian/tests/schleuder-api-daemon-reachable: display service status

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 31 Jan 2025 22:51:04 +0100

schleuder (5.0.0-2) unstable; urgency=medium

  * Team upload.
  * Add a patch to relax net-smtp for Ruby 3.3 transition.

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Mon, 27 Jan 2025 12:23:36 +0100

schleuder (5.0.0-1) unstable; urgency=medium

  * New upstream version.
  * debian/control:
    - Drop obsolete ruby-activerecord versioning.
    - Drop ruby-mail-gpg dependency.
    - Drop dirmngr dependency.
    - Add ruby-typhoeus dependency.
    - Bump Standards-Version to 4.7.0, no changes required.
    - Drop deprecated XS-Ruby-Versions.
  * debian/patches:
    - Drop obsolete patches merged upstream.
    - Refresh patch to relax sinatra versioning in gemspec.
    - Add patch to let the logger handle SocketError, which might happen on
      machines with restricted networking, like the Debian buildds.
    - Add patch to adapt to ActiveRecord 6, which Debian still ships; upstream
      switched to ActiveRecord 7.

 -- Georg Faerber <georg@debian.org>  Sun, 05 Jan 2025 22:21:18 +0000

schleuder (4.0.3-14) unstable; urgency=medium

  * debian/tests:
    - control: drop 'flaky' restriction, again.
    - schleuder-api-daemon-reachable: wait ten seconds before doing
      reachability tests, as the daemon startup might take some time.
      (Closes: #1078689)

 -- Georg Faerber <georg@debian.org>  Thu, 15 Aug 2024 10:32:29 +0000

schleuder (4.0.3-13) unstable; urgency=medium

  * debian/tests:
    - control: allow stderr output and mark tests as flaky: the
      schleuder-api-daemon-reachable test seems problematic since May.
      Further debugging is required to find the cause.
    - schleuder-api-daemon-reachable: increase verbosity.

 -- Georg Faerber <georg@debian.org>  Thu, 15 Aug 2024 06:52:12 +0000

schleuder (4.0.3-12) unstable; urgency=medium

  * debian/patches:
    - Add patch to relax sqlite3 in gemspec. (Closes: #1078368)
    - Refresh remaining patches.

 -- Georg Faerber <georg@debian.org>  Wed, 14 Aug 2024 16:00:50 +0000

schleuder (4.0.3-11) unstable; urgency=medium

  * debian/patches:
    - x-subscribe: fix parsing of arguments. Optional flags provided at the
      end are only taken into account if there is a valid fingerprint, and
      they are checked to be "true", or "false". Before, due to insufficient
      validation, an email address might have been erroneously subscribed with
      'admin' permissions. (Closes: #1068330)
    - x-add-key: fix importing keys from attachments as Thunderbird sends
      them. Before, such attachments were ignored. This regression was
      introduced in 4.0.0. (Closes: #1068331)
    - x-add-key: fix handling of emails without further content or
      attachments. A proper error message is returned. Before, a traceback was
      thrown. (Closes: 1068332)
    - Stop looking for keywords if email starts with other content. This
      allows to send usage instructions including keywords within an email to
      a Schleuder list. Before, these keywords would have been stripped, which
      limited the value of such an email. (Closes: #1068333)
    - receive_from_subscribed_emailaddresses_only(): check downcased email
      address. This follows and mirrors changes made in both schleuder-cli and
      schleuder-web, which nowadays enforce lowercase if adding subscriptions.
      Before, incoming emails might have been erroneously rejected, if an
      uppercase email address was used in the From: header. (Closes: #1068334)
    - Consider From: when finding reply address. Look for a subscription that
      matches the sending email address, in case of multiple subscriptions
      which rely on the same key. As a fallback, the first subscription found
      is used. Before, people might have received a reply to a different email
      address. (Closes: #1068335)

 -- Georg Faerber <georg@debian.org>  Wed, 03 Apr 2024 14:05:09 +0000

schleuder (4.0.3-10) unstable; urgency=medium

