=== debian/control ===
--- 
+++ 
@@ -4,30 +4,30 @@
 Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Georg Faerber <georg@debian.org>,
 Build-Depends: debhelper-compat (= 13),
-               dirmngr,
                gem2deb,
                procps,
                rake,
-               ruby-activerecord (>= 6.0~),
+               puma,
+               ruby-rackup,
+               ruby-activerecord,
                ruby-bcrypt,
                ruby-charlock-holmes,
                ruby-database-cleaner,
                ruby-factory-bot,
                ruby-gpgme,
                ruby-mail,
-               ruby-mail-gpg,
                ruby-rack-test,
                ruby-rspec,
                ruby-sinatra,
                ruby-sinatra-contrib,
                ruby-sqlite3,
                ruby-thor,
+               ruby-typhoeus,
                thin,
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/ruby-team/schleuder.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/schleuder
 Homepage: https://schleuder.org/
-XS-Ruby-Versions: all
 Rules-Requires-Root: no
 
 Package: schleuder
@@ -35,8 +35,6 @@
 Depends: adduser,
          cron | cron-daemon,
          default-mta | postfix | mail-transport-agent,
-         dirmngr,
-         lsb-base,
          rake,
          ruby,
          ruby-activerecord,
@@ -44,12 +42,14 @@
          ruby-charlock-holmes,
          ruby-gpgme,
          ruby-mail,
-         ruby-mail-gpg,
+         puma,
+         ruby-rackup,
          ruby-sinatra,
          ruby-sinatra-contrib,
          ruby-sqlite3,
          ruby-thor,
-         thin,
+         ruby-typhoeus,
+         thin ( >= 1.8.2+ ),
          ${misc:Depends},
          ${shlibs:Depends},
 Pre-Depends: ${misc:Pre-Depends},
