## schleuder 5.0.1

=== debian/changelog ===
schleuder (5.0.1-3) unstable; urgency=medium

  * Team upload.

  * debian/postfix/schleuder.conf:
    - Add systemd Postfix override config to disable 'MemoryDenyWriteExecute'.
      Otherwise, Schleuder fails due to "Technical Error". (Closes: #1112102)
  * debian/salsa-ci.yml:
    - Install debootstrap and test upgrade based on trixie.
  * debian/schleuder.install:
    - Install systemd Postfix override config.
  * debian/schleuder.postinst:
    - Reload systemd and restart Postfix, if necessary.
  * debian/schleuder.postrm:
    - Drop handling /var/backup/schleuder, obsolete.
  * debian/schleuder.preinst:
    - Drop, obsolete.
  * debian/tests/schleuder-api-daemon-reachable:
    - Bump retries to please autopkgtest on riscv64. Lets see if this helps,
      indeed.

  [ Lucas Nussbaum ]
  * debian/.gitattributes:
    - Remove, obsolete.
  * debian/gbp.conf:
    - Add for DEP-14.
  * debian/salsa-ci.yml:
    - Use team-specific include.

 -- Georg Faerber <georg@debian.org>  Fri, 24 Oct 2025 13:38:30 +0000

schleuder (5.0.1-2) unstable; urgency=medium

  * debian/patches:
    - Indeed drop obsolete patch to fix spec expectation.
  * debian/tests:
    - Retry the test which checks reachability of the API daemon mutiple
      times. This should make this test more reliable, especially in regards
      to riscv64, on which the API daemon startup takes quite some time,
      occasionally.
      Besides, try to connect via IPv6 first, and only fall back to IPv4 if
      not successful.

 -- Georg Faerber <georg@debian.org>  Mon, 09 Jun 2025 10:59:55 +0000

schleuder (5.0.1-1) unstable; urgency=medium

  * New upstream version. (Closes: #1104886)
  * debian/patches:
    - Drop patch to support both ActiveRecord 6 and 7, obsolete.
    - Drop patch to fix spec expectation, obsolete.
    - Refresh remaining patches to handle fuzz due to new release.

 -- Georg Faerber <georg@debian.org>  Sun, 08 Jun 2025 13:31:03 +0000

schleuder (5.0.0-9) unstable; urgency=medium

  * debian/control:
    - Bump Standards-Version to 4.7.2.0, no changes required.
  * debian/{patches,ruby-tests.rake}:
    - Run all tests in various environments, to see if these are indeed,
      still, flaky. This reverts a change shipped via the previous upload,
      5.0.0-8.

 -- Georg Faerber <georg@debian.org>  Fri, 06 Jun 2025 18:52:52 +0000
