=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
                ruby-thor,
                ruby-typhoeus,
                thin,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2.0
 Vcs-Git: https://salsa.debian.org/ruby-team/schleuder.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/schleuder
 Homepage: https://schleuder.org/
