=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 
 export DH_RUBY
 export DH_VERBOSE = 1
+export GEM2DEB_TEST_RUNNER = --check-dependencies
+export DH_RUBY_IGNORE_TESTS = ruby3.1
 
 %:
 	dh $@ --buildsystem=ruby --with ruby
